## net.sourceforge.pmd.ant
Class Formatter

    java.lang.Object
      net.sourceforge.pmd.ant.Formatter

public class Formatter
extends java.lang.Object

Constructor Summary
`Formatter()`

Method Summary
`boolean` `isNoOutputSupplied()`
`void` `outputReport(Report report, java.lang.String baseDir)`
`void` `setLinkPrefix(java.lang.String linkPrefix)`
`void` `setShowSuppressed(boolean value)`
`void` `setToConsole(boolean toConsole)`
`void` `setToFile(java.io.File toFile)`
`void` `setType(java.lang.String type)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Formatter

    public Formatter()

Method Detail

### setShowSuppressed

    public void setShowSuppressed(boolean value)

### setType

    public void setType(java.lang.String type)

### setLinkPrefix

    public void setLinkPrefix(java.lang.String linkPrefix)

### setToFile

    public void setToFile(java.io.File toFile)

### setToConsole

    public void setToConsole(boolean toConsole)

### outputReport

    public void outputReport(Report report,
                             java.lang.String baseDir)

### isNoOutputSupplied

    public boolean isNoOutputSupplied()

### toString

    public java.lang.String toString()

Copyright © 2002-2006 InfoEther. All Rights Reserved.